extern int VT_MOV_WORD (int datafrom, int stride_from, int datato,
                        int stride_to, int width, int size);

extern int VT_MOV_BYTE (int datafrom, int stride_from, int datato, int stride_to,
                 int width, int size);

extern int VT_ROUNDMODE (char round);

extern int VT_ENERROR (char except);

extern int VT_DISERROR (char except);

extern int VT_DOT_F32R (float *datainarray1, int stride_1, float *datainarray2,
                 int stride_2, float *dataoutarray, int size, int flag);

extern int VT_DOT_F32C (float *datainarray1, int stride_1,float *datainarray2,
                 int stride_2, float *dataoutarray, int size, int flag);

extern int VT_MULT_F32R (float *datainarray1, int stride_1,float *datainarray2,
                  int stride_2, float *dataoutarray, int stride_3, int size,
                  int flag);

extern int VT_MULT_F32C (float *datainarray1, int stride_1, float *datainarray2,
                  int stride_2, float *dataoutarray, int stride_3, int size,
                  int flag);

extern int VT_ADD_F32R (float *datainarray1, int stride_1,
                 float *datainarray2, int stride_2,
                 float *dataoutarray, int stride_3, int size,
                 int flag);

extern int VT_FFT_F32C (float *datainarray1, int stride_1, float *dataoutarray,
                 int stride_2, int size, int flag);

extern int VT_DIV_F32R (float *datainarray2, int stride_2, float *datainarray1,
                 int stride_1, float *dataoutarray, int stride_3, int size,
                 int flag);

extern int VT_POWER_F32R( float *datainarray1, int stride_1, float *dataoutarray,
                   int stride_2, int exp, int size, int flag);

extern int VT_I16TOF32_R(int *datainarray1, int stride_1, float *dataoutarray,
                  int  stride_2, int size, int flag);

extern int VT_F32TOI16_R (float *datainarray1, int stride_1, int *dataoutarray,
                   int stride_2, int size, int flag);

extern int VT_IFFT_F32C (float *datainarray1, int stride_1, float *dataoutarray,
                  int stride_2, int size, int flag);

extern int VT_MEAN_F32R (float *datainarray1, int stride_1, float *dataoutarray,
                  int size, int flag);

extern int VT_MAG_F32C (float *datainarray1, int stride_1, float *dataoutarray,
                 int stride_2, int size, int flag);

extern int VT_CMP_F32R (float *datainarray1, int stride_1, float *datainarray2,
                 int stride_2, float *dataoutarray, int stride_3, int size,
                 int flag);

extern int VT_MAX_F32R (float *datainarray1, int stride_1, float *dataoutvalue,
                 int *dataoutindex, int size, int flag);

extern int VT_SCALE_F32R (float *datainarray1, int stride_1, float *datainarray2,
                   float *dataoutarray, int stride_2, int size, int flag);

extern int VT_LOG10_F32R (float *datainarray1, int stride_1, float *dataoutarray,
                   int stride_2, int size, int flag);

extern int VT_MIN_F32R (float *datainarray1, int stride_1, float *dataoutvalue,
                 int *dataoutindex, int size, int flag);

extern int VT_SQRT_F32R (float *datainarray1, int stride_1, float *dataoutarray,
                  int stride_2, int size, int flag);


extern int VT_ABS_F32R (float *datainarray1, int stride_1, float *dataoutarray,
                 int stride_2, int size, int flag);

extern int VT_MAGSQ_F32C (float *datainarray1, int stride_1, float *dataoutarray,
                   int stride_2, int size, int flag);

extern int VT_INIT( int COPROCESSOR_MEM_BASE,
                    int LIB_WORKSPACE_BASE,
                    int USER_WORKSPACE_BASE,
                    int COPROCESSOR_MEM_TOP);

extern int VT_SUB_F32R (float *datainarray2, int stride_2, float *datainarray1,
                        int stride_1, float *datainarray, int stride_3,
                        int size, int flag);

extern int VT_GMTX_F32R ( float *datainarray1,
                          int no_cols_1,
                          int no_rows_1,
                          float *datainarray2,
                          int stride_1,
                          int no_cols_2,
                          float *dataoutarray,
                          int flag);

extern int VT_GMTX_F32C ( float *datainarray1,
                          int no_cols_1,
                          int no_rows_1,
                          float *datainarray2,
                          int stride_1,
                          int no_cols_2,
                          float *dataoutarray,
                          int flag);

extern void VT_GMTX_F32R_OC ( float *datainarray1,
                              int    bin_1,
                              int    no_cols_1,
                              int    no_rows_1,
                              float *datainarray2,
                              int    bin_2,
                              int    stride_1,
                              int    no_cols_2,
                              float *dataoutarray,
                              int    bin_3,
                              int    flag,
                              int   *error_code);

extern void VT_GMTX_F32C_OC ( float *datainarray1,
                              int no_cols_1,
                              int no_rows_1,
                              float *datainarray2,
                              int stride_1,
                              int no_cols_2,
                              float *dataoutarray,
                              int flag);

