--{{{  Generic routines
--{{{  vt.init
#PRAGMA TRANSLATE vt.init.oc "VT_INIT_OC"
#PRAGMA EXTERNAL "PROC vt.init.oc   (VAL INT gsb,*
*                                    VAL INT Coprocessor.base,*
*                                    VAL INT Lib.base,*
*                                    VAL INT User.base,*
*                                    VAL INT Coprocessor.top,*
*                                    INT     error)=100"
--}}}
--{{{  vt.mov.word
#PRAGMA TRANSLATE vt.mov.word  "VT_MOV_WORD_OC"
#PRAGMA EXTERNAL "PROC vt.mov.word (VAL INT gsb,*
*                                   VAL INT datafrom,*
*                                   VAL INT stride.from,*
*                                   VAL INT datato,*
*                                   VAL INT stride.to,*
*                                   VAL INT width,*
*                                   VAL INT size,*
*                                   INT     error.code)=100"
--}}}
--{{{  vt.mov.byte
#PRAGMA TRANSLATE vt.mov.byte "VT_MOV_BYTE_OC"

#PRAGMA EXTERNAL "PROC vt.mov.byte (VAL INT gsb,*
*                                   VAL INT datafrom,*
*                                   VAL INT stride.from,*
*                                   VAL INT datato,*
*                                   VAL INT stride.to,*
*                                   VAL INT width,*
*                                   VAL INT size,*
*                                   INT     error.code)=100"
--}}}
--{{{  vt.roundmode
#PRAGMA TRANSLATE vt.roundmode "VT_ROUNDMODE_OC"

#PRAGMA EXTERNAL "PROC vt.roundmode (VAL INT   gsb,*
*                                    VAL BYTE  round,*
*                                    INT       error.code)=100"
--}}}
--{{{  vt.enerror
#PRAGMA TRANSLATE vt.enerror "VT_ENERROR_OC"
#PRAGMA EXTERNAL "PROC vt.enerror (VAL INT    gsb,*
*                                  VAL BYTE   except,*
*                                  INT        error.code)=100"
--}}}
--{{{  vt.diserror
#PRAGMA TRANSLATE vt.diserror "VT_DISERROR_OC"
#PRAGMA EXTERNAL "PROC vt.diserror (VAL INT   gsb,*
*                                   VAL BYTE  except,*
*                                   INT       error.code)=100"
--}}}
--{{{  vt.i16tof32r
#PRAGMA TRANSLATE vt.i16tof32r "VT_I16TOF32_R_OC"

#PRAGMA EXTERNAL "PROC vt.i16tof32r ( VAL INT  gsb,*
*                                     []INT    datainarray1,*
*                                     VAL INT  stride.1,*
*                                     []REAL32 dataoutarray,*
*                                     VAL INT  stride.2,*
*                                     VAL INT  size,*
*                                     VAL INT  flag,*
*                                     INT      error.code)=100"
--}}}
--{{{  vt.f32toi16r
#PRAGMA TRANSLATE vt.f32toi16r "VT_F32TOI16_R_OC"

#PRAGMA EXTERNAL "PROC vt.f32toi16r (VAL INT  gsb,*
*                                     []REAL32 datainarray1,*
*                                     VAL INT  stride.1,*
*                                     []INT    outarray,*
*                                     VAL INT  stride.2,*
*                                     VAL INT  size,*
*                                     VAL INT  flag,*
*                                     INT      error.code)=100"
--}}}
--}}}
--{{{  Mathematical routines
--{{{  vt.abs.f32r
#PRAGMA TRANSLATE vt.abs.f32r "VT_ABS_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.abs.f32r (VAL INT  gsb,*
*                                   []REAL32 datainarray1,*
*                                   VAL INT  stride.1,*
*                                   []REAL32 dataoutarray,*
*                                   VAL INT  stride.2,*
*                                   VAL INT  size,*
*                                   VAL INT  flag,*
*                                   INT      error.code)=100"
--}}}
--{{{  vt.add.f32r
#PRAGMA TRANSLATE vt.add.f32r "VT_ADD_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.add.f32r ( VAL INT  gsb,*
*                                    []REAL32 datainarray1,*
*                                    VAL INT  stride.1,*
*                                    []REAL32 datainarray2,*
*                                    VAL INT  stride.2,*
*                                    []REAL32 dataoutarray,*
*                                    VAL INT  stride.3,*
*                                    VAL INT  size,*
*                                    VAL INT  flag,*
*                                    INT      error.code)=100"
--}}}
--{{{  vt.cmp.f32r
#PRAGMA TRANSLATE vt.cmp.f32r "VT_CMP_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.cmp.f32r (VAL INT  gsb,*
*                                   []REAL32 datainarray1,*
*                                   VAL INT  stride.1,*
*                                   []REAL32 datainarray2,*
*                                   VAL INT  stride.2,*
*                                   []REAL32 dataoutarray,*
*                                   VAL INT  stride.3,*
*                                   VAL INT  size,*
*                                   VAL INT  flag,*
*                                   INT      error.code)=100"
--}}}
--{{{  vt.div.f32r
#PRAGMA TRANSLATE vt.div.f32r "VT_DIV_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.div.f32r ( VAL INT  gsb,*
*                                    []REAL32 datainarray2,*
*                                    VAL INT  stride.2,*
*                                    []REAL32 datainarray1,*
*                                    VAL INT  stride.1,*
*                                    []REAL32 dataoutarray,*
*                                    VAL INT  stride.3,*
*                                    VAL INT  size,*
*                                    VAL INT  flag,*
*                                    INT      error.code)=100"
--}}}
--{{{  vt.dot.f32c
#PRAGMA TRANSLATE vt.dot.f32c "VT_DOT_F32C_OC"

#PRAGMA EXTERNAL "PROC vt.dot.f32c (VAL INT  gsb,*
*                                   []REAL32 datainarray1,*
*                                   VAL INT  stride.1,*
*                                   []REAL32 datainarray2,*
*                                   VAL INT  stride.2,*
*                                   []REAL32 dataoutarray,*
*                                   VAL INT  size,*
*                                   VAL INT  flag,*
*                                   INT      error.code)=100"
--}}}
--{{{  vt.dot.f32r
#PRAGMA TRANSLATE vt.dot.f32r "VT_DOT_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.dot.f32r (VAL INT   gsb,*
*                                   []REAL32  datainarray1,*
*                                   VAL INT   stride.1,*
*                                   []REAL32  datainarray2,*
*                                   VAL INT   stride.2,*
*                                   REAL32    dataoutarray,*
*                                   VAL INT   size,*
*                                   VAL INT   flag,*
*                                   INT       error.code)=100"
--}}}
--{{{  vt.fir.f32r
#PRAGMA TRANSLATE vt.fir.f32r "VT_FIR_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.fir.f32r ( VAL INT  gsb,*
*                                    []REAL32 datainarray1,*
*                                    VAL INT  stride.1,*
*                                    []REAL32 datainarray2,*
*                                    VAL INT  decim,*
*                                    []REAL32 dataoutarray,*
*                                    VAL INT  filter.order,*
*                                    VAL INT  no.of.computed.samples,*
*                                    VAL INT  flag,*
*                                    INT      error.code)=100"
--}}}
--{{{  vt.fft.f32c
#PRAGMA TRANSLATE vt.fft.f32c "VT_FFT_F32C_OC"

#PRAGMA EXTERNAL "PROC vt.fft.f32c ( VAL INT  gsb,*
*                                    []REAL32 datainarray1,*
*                                    VAL INT  stride.1,*
*                                    []REAL32 dataoutarray,*
*                                    VAL INT  stride.2,*
*                                    VAL INT  size,*
*                                    VAL INT  flag,*
*                                    INT      error.code)=100"
--}}}
--{{{  vt.gmtx.f32c
#PRAGMA TRANSLATE vt.gmtx.f32c "VT_GMTX_F32C_OC"

#PRAGMA EXTERNAL "PROC vt.gmtx.f32c (VAL INT  gsb,*
*                                    []REAL32 datainarray1,*
*                                    VAL INT  no.cols.1,*
*                                    VAL INT  no.rows.1,*
*                                    []REAL32 datainarray2,*
*                                    VAL INT  stride.2,*
*                                    VAL INT  no.cols.2,*
*                                    []REAL32 dataoutarray,*
*                                    VAL INT  flag,*
*                                    INT      error.code)=100"
--}}}
--{{{  vt.gmtx.f32r
#PRAGMA TRANSLATE vt.gmtx.f32r "VT_GMTX_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.gmtx.f32r (VAL INT  gsb,*
*                                    []REAL32 datainarray1,*
*                                    VAL INT  no.cols.1,*
*                                    VAL INT  no.rows.1,*
*                                    []REAL32 datainarray2,*
*                                    VAL INT  stride.2,*
*                                    VAL INT  no.cols.2,*
*                                    []REAL32 dataoutarray,*
*                                    VAL INT  flag,*
*                                    INT      error.code)=100"
--}}}
--{{{  vt.ifft.f32c
#PRAGMA TRANSLATE vt.ifft.f32c "VT_IFFT_F32C_OC"

#PRAGMA EXTERNAL "PROC vt.ifft.f32c (VAL INT  gsb,*
*                                    []REAL32 datainarray1,*
*                                    VAL INT  stride.1,*
*                                    []REAL32 dataoutarray,*
*                                    VAL INT  stride.2,*
*                                    VAL INT  size,*
*                                    VAL INT  flag,*
*                                    INT      error.code)=100"
--}}}
--{{{  vt.iir.f32c
#PRAGMA TRANSLATE vt.iir.f32c "VT_IIR_F32C_OC"

#PRAGMA EXTERNAL "PROC vt.iir.f32c (VAL INT  gsb,*
*                                   []REAL32 datainarray1,*
*                                   []REAL32 datainarray2,*
*                                   VAL INT  stride.1,*
*                                   []REAL32 dataoutarray,*
*                                   VAL INT  filter.order,*
*                                   VAL INT  no.of.computed.samples,*
*                                   VAL INT  flag,*
*                                   INT      error.code)=100"
--}}}
--{{{  vt.iir.f32r
#PRAGMA TRANSLATE vt.iir.f32r "VT_IIR_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.iir.f32r (VAL INT  gsb,*
*                                   []REAL32 datainarray1,*
*                                   []REAL32 datainarray2,*
*                                   VAL INT  stride.1,*
*                                   []REAL32 dataoutarray,*
*                                   VAL INT  filter.order,*
*                                   VAL INT  no.of.computed.samples,*
*                                   VAL INT  flag,*
*                                   INT      error.code)=100"
--}}}
--{{{  vt.log10.f32r
#PRAGMA TRANSLATE vt.log10.f32r "VT_LOG10_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.log10.f32r (VAL INT  gsb,*
*                                     []REAL32 datainarray1,*
*                                     VAL INT  stride.1,*
*                                     []REAL32 dataoutarray,*
*                                     VAL INT  stride.2,*
*                                     VAL INT  size,*
*                                     VAL INT  flag,*
*                                     INT      error.code)=100"
--}}}
--{{{  vt.mag.f32c
#PRAGMA TRANSLATE vt.mag.f32c "VT_MAG_F32C_OC"

#PRAGMA EXTERNAL "PROC vt.mag.f32c (VAL INT  gsb,*
*                                   []REAL32 datainarray1,*
*                                   VAL INT  stride.1,*
*                                   []REAL32 dataoutarray,*
*                                   VAL INT  stride.2,*
*                                   VAL INT  size,*
*                                   VAL INT  flag,*
*                                   INT      error.code)=100"
--}}}
--{{{  vt.magsq.f32c
#PRAGMA TRANSLATE vt.magsq.f32c "VT_MAGSQ_F32C_OC"

#PRAGMA EXTERNAL "PROC vt.magsq.f32c (VAL INT  gsb,*
*                                     []REAL32 datainarray1,*
*                                     VAL INT  stride.1,*
*                                     []REAL32 dataoutarray,*
*                                     VAL INT  stride.2,*
*                                     VAL INT  size,*
*                                     VAL INT  flag,*
*                                     INT      error.code)=100"
--}}}
--{{{  vt.max.f32r
#PRAGMA TRANSLATE vt.max.f32r "VT_MAX_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.max.f32r ( VAL INT   gsb,*
*                                    []REAL32  datainarray1,*
*                                    VAL INT   stride.1,*
*                                    REAL32    dataoutvalue,*
*                                    INT       dataoutindex,*
*                                    VAL INT   size,*
*                                    VAL INT   flag,*
*                                    INT       error.code)=100"
--}}}
--{{{  vt.mean.f32r
#PRAGMA TRANSLATE vt.mean.f32r "VT_MEAN_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.mean.f32r (VAL INT  gsb,*
*                                    []REAL32 datainarray1,*
*                                    VAL INT  stride.1,*
*                                    REAL32   dataoutarray,*
*                                    VAL INT  size,*
*                                    VAL INT  flag,*
*                                    INT      error.code)=100"
--}}}
--{{{  vt.min.f32r
#PRAGMA TRANSLATE vt.min.f32r "VT_MIN_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.min.f32r (VAL INT  gsb,*
*                                   []REAL32 datainarray1,*
*                                   VAL INT  stride.1,*
*                                   REAL32   dataoutvalue,*
*                                   INT      outindex,*
*                                   VAL INT  size,*
*                                   VAL INT  flag,*
*                                   INT      error.code)=100"
--}}}
--{{{  vt.mult.f32c
#PRAGMA TRANSLATE vt.mult.f32c "VT_MULT_F32C_OC"

#PRAGMA EXTERNAL "PROC vt.mult.f32c ( VAL INT  gsb,*
*                                     []REAL32 datainarray1,*
*                                     VAL INT  stride.1,*
*                                     []REAL32 datainarray2,*
*                                     VAL INT  stride.2,*
*                                     []REAL32 dataoutarray,*
*                                     VAL INT  stride.3,*
*                                     VAL INT  size,*
*                                     VAL INT  flag,*
*                                     INT      error.code)=100"
--}}}
--{{{  vt.mult.f32r
#PRAGMA TRANSLATE vt.mult.f32r "VT_MULT_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.mult.f32r ( VAL INT  gsb,*
*                                     []REAL32 datainarray1,*
*                                     VAL INT  stride.1,*
*                                     []REAL32 datainarray2,*
*                                     VAL INT  stride.2,*
*                                     []REAL32 dataoutarray,*
*                                     VAL INT  stride.3,*
*                                     VAL INT  size,*
*                                     VAL INT  flag,*
*                                     INT      error.code)=100"
--}}}
--{{{  vt.power.f32r
#PRAGMA TRANSLATE vt.power.f32r "VT_POWER_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.power.f32r (VAL INT  gsb,*
*                                     []REAL32 datainarray1,*
*                                     VAL INT  stride.1,*
*                                     []REAL32 dataoutarray,*
*                                     VAL INT  stride.2,*
*                                     VAL INT  exp,*
*                                     VAL INT  size,*
*                                     VAL INT  flag,*
*                                     INT      error.code)=100"
--}}}
--{{{  vt.scale.f32r
#PRAGMA TRANSLATE vt.scale.f32r "VT_SCALE_F32R_OC"

#PRAGMA EXTERNAL  "PROC vt.scale.f32r (VAL INT  gsb,*
*                                      []REAL32 datainarray1,*
*                                      VAL INT  stride.1,*
*                                      []REAL32 datainarray2,*
*                                      []REAL32 dataoutarray,*
*                                      VAL INT  stride.2,*
*                                      VAL INT  size,*
*                                      VAL INT  flag,*
*                                      INT      error.code)=100"
--}}}
--{{{  vt.sqrt.f32r
#PRAGMA TRANSLATE vt.sqrt.f32r "VT_SQRT_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.sqrt.f32r (VAL INT  gsb,*
*                                    []REAL32 datainarray1,*
*                                    VAL INT  stride.1,*
*                                    []REAL32 dataoutarray,*
*                                    VAL INT  stride.2,*
*                                    VAL INT  size,*
*                                    VAL INT  flag,*
*                                    INT      error.code)=100"
--}}}
--{{{  vt.sub.f32r
#PRAGMA TRANSLATE vt.sub.f32r "VT_SUB_F32R_OC"

#PRAGMA EXTERNAL "PROC vt.sub.f32r (VAL INT  gsb,*
*                                   []REAL32 datainarray2,*
*                                   VAL INT  stride.2,*
*                                   []REAL32 datainarray1,*
*                                   VAL INT  stride.1,*
*                                   []REAL32 dataoutarray,*
*                                   VAL INT  stride.3,*
*                                   VAL INT  size,*
*                                   VAL INT  flag,*
*                                   INT      error.code)=100"
--}}}
--}}}
